import { Point } from "./weeatPd";

export interface Direction {
  customer_name: string;
  customer_phone: string;
  address_base: string;
  address_more: string;
  delivery_pos: string;
  region: string;
  id: string;
  x: string;
  y: string;
  fixed: boolean;
  pd: null | {
    id: string;
    name: string;
  };
}
interface Output {
  status: number;
  message: string;
  data?: any;
}

const address: Direction[] = [
  {
    customer_name: "주식회사랩엠제로",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로15길 47-24 (성수동2가)",
    address_more: "1층 (성수동2가)",
    delivery_pos: "1층 대문 앞",
    id: "wehudding0001",
    x: "127.063343374981",
    y: "37.5473176859534",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최동주",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 고산자로2길 65(행당동, 서울숲리버뷰자이) 서울숲리버뷰자이",
    address_more: "104동1001호",
    delivery_pos: "현관비번1001열쇠1014종",
    id: "wehudding0002",
    x: "127.038836506223",
    y: "37.556198526017",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이승연",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 동일로 120 (화양동) 신원빌딩",
    address_more: "3층",
    delivery_pos: "문 앞 / 대응배송 : 주차장쪽 출입구 앞",
    id: "wehudding0003",
    x: "127.064902881959",
    y: "37.5431808029122",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "위중용",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 동일로 379 (중곡동)",
    address_more: "1층",
    delivery_pos: "1층 공용데스크",
    id: "wehudding0004",
    x: "127.076409246902",
    y: "37.5646787503202",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "유미리",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로5길 24-27 (성수동2가)",
    address_more: "1층 현수막사업부",
    delivery_pos: "(대문 비밀번호 8626)",
    id: "wehudding0005",
    x: "127.053899264668",
    y: "37.5474353597175",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서유화",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 상원길 19 (성수동1가) 신한IT타워",
    address_more: "8층 울트라브이",
    delivery_pos: "8층 울트라브이 사무실 앞",
    id: "wehudding0006",
    x: "127.048772838829",
    y: "37.5458788603366",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김세원",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 고산자로10길 9(행당동)",
    address_more: "5층 성동문화재단 정책기획팀",
    delivery_pos: "5층 사무실(부재시 1층 입구. 배송 후 연락바랍니다.)",
    id: "wehudding0007",
    x: "127.034960654281",
    y: "37.5591798757923",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김지명",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로 89 (성수동2가) MG빌딩",
    address_more: "7층 바바라앤코 디자인실",
    delivery_pos: "7층 공동현관 문앞",
    id: "wehudding0008",
    x: "127.056314421147",
    y: "37.5430148320311",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이동희",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 218(옥수동, 옥수삼성아파트) 옥수삼성아파트",
    address_more: "105-507",
    delivery_pos: "문앞 (1층공용: #*5974#)",
    id: "wehudding0009",
    x: "127.015554372439",
    y: "37.5426294442931",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "황인성",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성덕정길 17(성수동1가)",
    address_more: "201호",
    delivery_pos:
      "(부재시) 2층 올라와서 오른쪽 문 앞에 놔주세요. 문이 열려 있으면 들어오셔서 안에 놔주세요.",
    id: "wehudding0010",
    x: "127.045653650807",
    y: "37.539629513467",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김성희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 116(성수동2가) 삼연빌딩",
    address_more: "503호",
    delivery_pos: "5층으로 오시면 됩니다",
    id: "wehudding0011",
    x: "127.056627617429",
    y: "37.5440415512187",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "한선영",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로42길 34-5(구의동)",
    address_more: "501호",
    delivery_pos: "문 앞(#6012#)",
    id: "wehudding0012",
    x: "127.091724081974",
    y: "37.5483591656529",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "윤규리,이상은,신우철,신동민,이상윤,최유선,이민지",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 17 (성수동1가)",
    address_more: " 서울숲 L-Towe 15층",
    delivery_pos: "15층 화장실 방향으로 복도 끝쪽 사무실",
    id: "wehudding0013",
    x: "127.046440454742",
    y: "37.5479607476645",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정태욱",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 아차산로 552(광장동, 광장극동아파트) 극동아파트",
    address_more: "2동 1301호",
    delivery_pos: "문앞",
    id: "wehudding0014",
    x: "127.104380226748",
    y: "37.5436805818941",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이민지",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 구의로10길 10-5(구의동)",
    address_more: "102호",
    delivery_pos: "문 앞(대문 왼쪽왼쪽 흰쪽문 계단위집)",
    id: "wehudding0015",
    x: "127.090645475214",
    y: "37.5419595725126",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "문월",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 동일로30길 16(화양동)",
    address_more: "LUNASOL 702호",
    delivery_pos: "현관 비밀번호1369",
    id: "wehudding0016",
    x: "127.068090431521",
    y: "37.5475121825464",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "조현홍",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수일로8길 5(성수동2가)",
    address_more: "서울숲 SK V1 TOWER A동 2006호",
    delivery_pos: "문 앞",
    id: "wehudding0017",
    x: "127.051616327555",
    y: "37.5470746286973",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "노현수",
    customer_phone: "01011111111",
    address_base: "서울 광진구 능동로27가길 18-4, (군자동)",
    address_more: "102호",
    delivery_pos: "102호 (공동현관: 3366)",
    id: "wehudding0018",
    x: "127.075886456006",
    y: "37.5537632402159",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서다경",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 광나루로6길 35(성수동2가) 우림이비즈센터",
    address_more: "610호",
    delivery_pos: "610호 문앞",
    id: "wehudding0019",
    x: "127.063296654148",
    y: "37.5467997268051",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박초롱,이민주",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 161(화양동)",
    address_more: "지하1층 애니벅스",
    delivery_pos: "보람부동산 옆쪽출구 지하1층 애니벅스 앞",
    id: "wehudding0020",
    x: "127.072789501681",
    y: "37.5452314740878",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김경희",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 뚝섬로56길 72(자양동, 자양동현대아파트) 자양현대아파트",
    address_more: "202동 1406호",
    delivery_pos: "문 앞(자유출입)",
    id: "wehudding0021",
    x: "127.082655081887",
    y: "37.528030561539",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김미겸",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 광나루로 227 (송정동) 코라빌딩",
    address_more: "4층",
    delivery_pos: "1층 안내데스크 위 / 대응 : 1층 유리문 셔터앞",
    id: "wehudding0022",
    x: "127.055362661239",
    y: "37.5500303694293",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "백은정",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 아차산로17길 49(성수동2가) 생각공장데시앙플렉스",
    address_more: "1905호 온라인팀 백은정",
    delivery_pos: "1905호 문앞",
    id: "wehudding0023",
    x: "127.065279307819",
    y: "37.5467683738173",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "손은성",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 377(응봉동, 금호현대아파트) 현대아파트",
    address_more: "105동205호",
    delivery_pos: "문앞",
    id: "wehudding0024",
    x: "127.03115141409",
    y: "37.5505406446297",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김지수",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 천호대로 676 (구의동) 율림빌딩",
    address_more: "7층",
    delivery_pos: "7층 유리문 앞 / 대응배송 : 1층 현관 입구",
    id: "wehudding0025",
    x: "127.08993019403",
    y: "37.5505911469287",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김정환",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 능동로 120 (화양동) 건국대학교 생명과학관 부속동",
    address_more: "",
    delivery_pos: "건물 1층 현관",
    id: "wehudding0026",
    x: "127.074711902268",
    y: "37.539182674872",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서정현",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로62길 43(응봉동, 대림아파트) 대림1차아파트",
    address_more: "9동 604호",
    delivery_pos: "문앞",
    id: "wehudding0027",
    x: "127.033526471055",
    y: "37.5519009520129",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "안가람",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 344 (중곡동) 동진빌딩",
    address_more: "4층",
    delivery_pos: "4층 문앞",
    id: "wehudding0028",
    x: "127.081397962721",
    y: "37.5600882636477",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김상완",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 상원6길 7 (성수동1가)",
    address_more: "201호",
    delivery_pos: "공동현관없습니다",
    id: "wehudding0029",
    x: "127.048985430939",
    y: "37.5487675546973",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김미영",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 뚝섬로 552(자양동)",
    address_more: "2층 뉴튼의어깨",
    delivery_pos: "사무실 문 앞/ 대응배송:1층출입문앞",
    id: "wehudding0030",
    x: "127.071271836617",
    y: "37.5343039923272",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이가희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 금호산길 36 (금호동3가)",
    address_more: "2층",
    delivery_pos: "2층 문앞",
    id: "wehudding0031",
    x: "127.019490004502",
    y: "37.5514124284869",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이은정",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 무학로6길 20-1(도선동, 에코하우스빌딩)",
    address_more: "501호",
    delivery_pos: "문앞",
    id: "wehudding0032",
    x: "127.032224470637",
    y: "37.5650350598237",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이상현",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 청계천로 458(하왕십리동) 하왕십리동 우성빌딩",
    address_more: "3층 텐가코리아",
    delivery_pos: "오전 09:30까지 부탁드립니다(도착시 전화부탁드려요)",
    id: "wehudding0033",
    x: "127.027692918708",
    y: "37.5700273658844",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김용주",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 420 (중곡동) 성문빌딩",
    address_more: "3층 착한수한의원",
    delivery_pos: "3층 한의원/대응: 견물 현관 앞",
    id: "wehudding0034",
    x: "127.0847631669",
    y: "37.5662934892073",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "오아라",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 광나루로 366-1(화양동)",
    address_more: "1층 KT",
    delivery_pos: "문앞이요",
    id: "wehudding0035",
    x: "127.070513722389",
    y: "37.547809711666",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "한인서",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수일로 77(성수동1가) 서울숲IT밸리",
    address_more: "902호",
    delivery_pos: "문 앞",
    id: "wehudding0036",
    x: "127.050343491959",
    y: "37.5474049437892",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "한성민",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 103 (성수동2가)",
    address_more: "506호",
    delivery_pos: ".",
    id: "wehudding0037",
    x: "127.055814549422",
    y: "37.545048444535",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "고유리",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 광나루로56길 85(구의동) 테크노마트 프라임센터 사무동",
    address_more: "8층",
    delivery_pos: "사무실 앞 책상 위 /대응배송:층내중문앞",
    id: "wehudding0038",
    x: "127.095692162256",
    y: "37.535725176732",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "문윤희",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로18길 31 (구의동)",
    address_more: "3층 도시재생현장지원센터",
    delivery_pos: "3층 문앞(새벽에 내려진 셔터 위로 열수 있음)/대응: 셔터문 앞",
    id: "wehudding0039",
    x: "127.085180422232",
    y: "37.5378880587944",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "문소연",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 행당로 82(행당동, 행당 한진타운) 한진 아파트",
    address_more: "117동 203호",
    delivery_pos: "아파트 1층 현관 인터폰 밑쪽",
    id: "wehudding0040",
    x: "127.027399715208",
    y: "37.5548088817349",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "HONG JASON DONGJOON",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 서울숲2길 32-14(성수동1가, 갤러리아 포레)",
    address_more: "A동 1층 103호",
    delivery_pos: "버거점프 매장안 / 대응배송 : 매장문앞",
    id: "wehudding0041",
    x: "127.042914714267",
    y: "37.5456773286722",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "함준호",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 금호로 107 (금호동2가, 래미안하이리버) 래미안하이리버",
    address_more: "110동 603호",
    delivery_pos: "보안실로 연락주세요",
    id: "wehudding0042",
    x: "127.024237649315",
    y: "37.552272272942",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "노승주",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 연무장15길 11 (성수동2가) 에스팩토리",
    address_more: "B동 스파크플러스",
    delivery_pos: "스파크플러스 정문 카운터",
    id: "wehudding0043",
    x: "127.058905961003",
    y: "37.5428217449251",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김은진",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 서울숲길 54 (성수동1가) 성수그린빌",
    address_more: "707호",
    delivery_pos: "문 앞(출입 비밀번호 없음)",
    id: "wehudding0044",
    x: "127.043580039284",
    y: "37.5479284109517",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김향혜",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성덕정길 81(성수동2가)",
    address_more: "2층 생활책방",
    delivery_pos: "문앞",
    id: "wehudding0045",
    x: "127.052721137399",
    y: "37.5379464747992",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서용규",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 뚝섬로52길 66 (자양동) 자양한강도서관",
    address_more: "",
    delivery_pos: "도서관3층 사무실 / 대응배송 : 주차장쪽 후문 입구",
    id: "wehudding0046",
    x: "127.077667985801",
    y: "37.5292155199266",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "황은영",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 금호산길 8(금호동3가, 금호1차푸르지오아파트)",
    address_more: "103-1302",
    delivery_pos: "문앞 (1302#0411#)",
    id: "wehudding0047",
    x: "127.020474412594",
    y: "37.5500475196911",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박은실",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 상원길 47(성수동1가, 중앙하이츠빌)",
    address_more: "102동2203호",
    delivery_pos: "문앞",
    id: "wehudding0048",
    x: "127.04726623735",
    y: "37.547843740667",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박선미",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 청계천로 426(상왕십리동) 오정빌딩",
    address_more: "201호 peekaboo",
    delivery_pos: "2층 201호 오른쪽 유리문에 걸어놓아주세요",
    id: "wehudding0049",
    x: "127.024379664208",
    y: "37.5709932427774",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이슬기",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로22길 57(성수동2가) 영진디지털타워",
    address_more: "2층",
    delivery_pos: "창문 앞",
    id: "wehudding0050",
    x: "127.063363333526",
    y: "37.543356703227",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정진화",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로11가길 3(성수동2가)",
    address_more: "4층",
    delivery_pos: "문 앞",
    id: "wehudding0051",
    x: "127.060824379805",
    y: "37.5465841557395",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최연진",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 76(자양동) 광진구시설관리공단",
    address_more: "",
    delivery_pos: "광진구시설관리공단 4층 기획재정팀",
    id: "wehudding0052",
    x: "127.070576040786",
    y: "37.5375706269359",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "황지선",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로16길 9(화양동) 캠퍼니안",
    address_more: "604호",
    delivery_pos: "1층 7번택배함",
    id: "wehudding0053",
    x: "127.073704087922",
    y: "37.5450464722721",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "심선주",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 둘레길 27(성수동1가, 강변성수빌라)",
    address_more: "강변 성수빌라 302호",
    delivery_pos:
      "입구가 두곳입니다. 동양아파트와 마주보고 있는 입구로 들어유셔야해요",
    id: "wehudding0054",
    x: "127.046818584305",
    y: "37.5373729529567",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최원진",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 자양로43길 58(중곡동, 하나화인빌) 하나화인빌",
    address_more: "402호",
    delivery_pos: "문앞 (경비원 열쇠 2345 호출)",
    id: "wehudding0055",
    x: "127.090170660777",
    y: "37.5531182626638",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최광호",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로15길 46 (자양동)",
    address_more: "1층동행한의원",
    delivery_pos: "한의원 입구",
    id: "wehudding0056",
    x: "127.081144577045",
    y: "37.5354748686688",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이하영",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 309 (행당동) 이스타빌",
    address_more: "3층 307호 연세이비인후과",
    delivery_pos: "연세이비인후과 문앞",
    id: "wehudding0057",
    x: "127.034582633625",
    y: "37.5613776986706",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이로라",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로42길 6(자양동)",
    address_more: "302호",
    delivery_pos: "문앞",
    id: "wehudding0058",
    x: "127.078913605403",
    y: "37.5372857694181",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이보배",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 천호대로 549(중곡동) G-TOWER",
    address_more: "10층 업무지원팀",
    delivery_pos: "엘레베이터 현관 문 앞",
    id: "wehudding0059",
    x: "127.079226104632",
    y: "37.5576984952347",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "양은지",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 군자로12길 46 (군자동, 일성파크아파트) 일성파크아파트",
    address_more: "102-110",
    delivery_pos: "110호 현관문앞(비상시 경비실앞)",
    id: "wehudding0060",
    x: "127.072672678034",
    y: "37.5517127888261",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "신혜원",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 광나루로 166 (성수동1가)",
    address_more: "2층 블랭",
    delivery_pos: "2층 블랭",
    id: "wehudding0061",
    x: "127.048557769654",
    y: "37.5513573808967",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "강아름",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 살곶이길 50(마장동, 마장동 현대아파트)",
    address_more: "104동 2104호",
    delivery_pos: "2104호(2104# 0915 열쇠)",
    id: "wehudding0062",
    x: "127.04151713238",
    y: "37.5696154330932",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박인혜",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로 439 (구의동)",
    address_more: "1층",
    delivery_pos: "1층 공용택배함 또는 문앞 /대응배송 :1층후문앞",
    id: "wehudding0063",
    x: "127.091173812997",
    y: "37.5387291720926",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정수화",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 성수일로10길 26(성수동2가) 하우스디세종타워",
    address_more: "1407호",
    delivery_pos: "1407호 문앞",
    id: "wehudding0064",
    x: "127.052952183671",
    y: "37.5465865067207",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이해정",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 천호대로121길 42 (중곡동)",
    address_more: "녹색대문 지하",
    delivery_pos: "우체통 아래에 당기면 대문 열리고 마지막 계단에 놓아주세요",
    id: "wehudding0065",
    x: "127.086362061644",
    y: "37.5571541544464",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "조은이",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 한림말길 31(옥수동) 삼성아파트상가",
    address_more: "305호 달디",
    delivery_pos: "305호 유리문 앞",
    id: "wehudding0066",
    x: "127.014589206454",
    y: "37.5410795776673",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이정민",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 광나루로 386(화양동) 건대하이뷰",
    address_more: "1212호",
    delivery_pos: "문 앞(1층 현관: 종 1111)",
    id: "wehudding0067",
    x: "127.072441891616",
    y: "37.5473476836719",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정희다",
    customer_phone: "01011111111",
    address_base: "서울 광진구 동일로44길 8-8 (군자동)",
    address_more: "2층",
    delivery_pos: "2층",
    id: "wehudding0068",
    x: "127.070918115485",
    y: "37.5530152570939",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김재연",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 88 (성수동1가)",
    address_more: "4층",
    delivery_pos: "엘리베이터 앞 철제랙(택배함)",
    id: "wehudding0069",
    x: "127.045307322201",
    y: "37.5454621773097",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "유정아",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 독서당로 336 (금호동4가) 리버마이다스빌",
    address_more: "2층 (주)흥화 개발부",
    delivery_pos: "2층 입구 앞",
    id: "wehudding0070",
    x: "127.02643049661",
    y: "37.5477295088459",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "안성호",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 131(화양동)",
    address_more: "1층 구두매장",
    delivery_pos: "문앞",
    id: "wehudding0071",
    x: "127.071616115529",
    y: "37.5426929955613",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "임지연",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수일로6길 53 (성수동2가)",
    address_more: "유원지식센터 7층 고객센터기획지원팀",
    delivery_pos: "7층문앞 테이블 위에 올려놔주세요",
    id: "wehudding0072",
    x: "127.055789372886",
    y: "37.5442146717831",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박선경",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로27가길 4 (군자동) 진영원룸",
    address_more: "202호",
    delivery_pos: "202호 문 앞",
    id: "wehudding0073",
    x: "127.076621261271",
    y: "37.5538614249161",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박정웅",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 광나루로 286(성수동2가) 아인빌딩",
    address_more: "8층 소셜캠퍼스온",
    delivery_pos: "8층 문 앞",
    id: "wehudding0074",
    x: "127.06129981359",
    y: "37.5477493518047",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박혜성",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 아차산로70길 62(광장동, 광장현대3단지아파트)",
    address_more: "308-1607",
    delivery_pos: "문앞(1607  2014 )현관비번",
    id: "wehudding0075",
    x: "127.098995313099",
    y: "37.5403766593492",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "송지현",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 행당로 79(행당동, 행당동 대림아파트) 대림아파트",
    address_more: "104동 1513호",
    delivery_pos: "문앞",
    id: "wehudding0076",
    x: "127.027507006183",
    y: "37.5582053468995",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정다은",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 92 (성수동2가) 광명타워",
    address_more: "13층",
    delivery_pos: "문앞",
    id: "wehudding0077",
    x: "127.054242462371",
    y: "37.5447523880259",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "황현",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 뚝섬로52나길 10 (자양동, 류한빌딩)",
    address_more: "302호",
    delivery_pos: "문앞 고리에 걸어주세요",
    id: "wehudding0078",
    x: "127.079709672475",
    y: "37.5306691866133",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "석재은",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로41길 25-13, (구의동) 솔가람빌라",
    address_more: "201호",
    delivery_pos: "201호 (공동현관: 종+1234)",
    id: "wehudding0079",
    x: "127.088695885081",
    y: "37.5498207360198",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김혜임",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로34길 81 (능동) 헤스티아",
    address_more: "201호",
    delivery_pos: "문 앞(1층 현관 비번 7788)",
    id: "wehudding0080",
    x: "127.083636850412",
    y: "37.5541740853642",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "강소정",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로43길 66-7(중곡동)",
    address_more: "201호",
    delivery_pos: "문앞",
    id: "wehudding0081",
    x: "127.090223230219",
    y: "37.5536362961676",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "홍수경",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로76길 31(광장동, 광나루현대아파트)",
    address_more: "102동1204호",
    delivery_pos: "문앞",
    id: "wehudding0082",
    x: "127.108798634541",
    y: "37.5474346593522",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "공진실",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 222(사근동) 한양대학교",
    address_more: "공업센터 별관 보일러동 611-2호",
    delivery_pos: "문 앞",
    id: "wehudding0083",
    x: "127.046611216789",
    y: "37.5545035492027",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이은지",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 동일로 263(송정동, 송정동 건영아파트)",
    address_more: "송정건영아파트101동504호",
    delivery_pos: "문 앞(0-9011)",
    id: "wehudding0084",
    x: "127.071436032611",
    y: "37.5562716907636",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이형준",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로14길 22(성수동1가)",
    address_more: "502호",
    delivery_pos: "공동현관문 #4569#",
    id: "wehudding0085",
    x: "127.045890587589",
    y: "37.5484935429606",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김남완",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로17길 48 (성수동2가) SK V1센터",
    address_more: "1동 14층",
    delivery_pos: "화물엘레베이터 앞",
    id: "wehudding0086",
    x: "127.065889477465",
    y: "37.5463937599992",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최예슬",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 성수일로4길 25 (성수동2가) 서울숲코오롱디지털타워 1차",
    address_more: "210호",
    delivery_pos: "210호 문앞",
    id: "wehudding0087",
    x: "127.051865849456",
    y: "37.5425050119214",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김승아,김수현,신지선,전양민,김은정",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 상원1길 26 (성수동1가) 서울숲 A타워",
    address_more: "405호",
    delivery_pos: "405호 앞",
    id: "wehudding0088",
    x: "127.048432321547",
    y: "37.546194350143",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최석호",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 110 (성수동2가) 성광빌딩",
    address_more: "401호",
    delivery_pos: "직접 수령",
    id: "wehudding0089",
    x: "127.056157450059",
    y: "37.544187377233",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "배길록",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 107(성수동2가)",
    address_more: "예인미술 206호 출력실",
    delivery_pos: "문 앞",
    id: "wehudding0090",
    x: "127.056284867862",
    y: "37.5449449667929",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김경은",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 고산자로 203(행당동)",
    address_more: "신한은행 2층",
    delivery_pos: "신한은행 건물 과일가게 입구문 2층 왼쪽문앞",
    id: "wehudding0091",
    x: "127.033714030552",
    y: "37.5582704114675",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "홍승아",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 144 (성수동2가)",
    address_more: "우영테크노센터 102호 BS HLA Lab.",
    delivery_pos: "문앞",
    id: "wehudding0092",
    x: "127.059609903838",
    y: "37.5431188115839",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박경배",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 광장로5길 25-1 (광장동) 마포삼열기념관",
    address_more: "3001호 전산정보실",
    delivery_pos: "3001호 전산정보실 문앞",
    id: "wehudding0093",
    x: "127.104753995651",
    y: "37.5500805843162",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "안서영",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로16길 9 (성수동1가)",
    address_more: "7층",
    delivery_pos:
      "현관비번: 1004*불들어오는숫자순서대로*/ 엘리베이터 옆 흰색 캐비넷 위,",
    id: "wehudding0094",
    x: "127.045193170666",
    y: "37.5503771690932",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김민정,김효진",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로 65(성수동2가) 협성빌딩",
    address_more: "2층 202호",
    delivery_pos: "문 앞",
    id: "wehudding0095",
    x: "127.055444676004",
    y: "37.5409753805242",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "백지웅",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로29가길 20(군자동)",
    address_more: "303호",
    delivery_pos: "303호 문앞 (비번: 5504*)",
    id: "wehudding0096",
    x: "127.077800367036",
    y: "37.5553641485019",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서여진",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 자양로22길 70-11 (구의동)",
    address_more: "102호",
    delivery_pos: "현관 문앞/ 대응배송:1층출입문앞",
    id: "wehudding0097",
    x: "127.087346405552",
    y: "37.5393554669013",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "임소희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 마조로19길 21-4(마장동)",
    address_more: "202호",
    delivery_pos: "202호 문앞 (비번: 1234)",
    id: "wehudding0098",
    x: "127.039337748667",
    y: "37.5647954915182",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김옥자",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 행당로 112-12(행당동)",
    address_more: "3층",
    delivery_pos: "문앞 벨 눌러 주세요.",
    id: "wehudding0099",
    x: "127.030929042378",
    y: "37.5576589462433",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정영희",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로32길 82-4 (능동) 보람채",
    address_more: "101호",
    delivery_pos: "문앞",
    id: "wehudding0100",
    x: "127.082569088641",
    y: "37.5536706386016",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이채령",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 연무장5가길 7(성수동2가) E동 1103호",
    address_more: "",
    delivery_pos: "회사 사무실 문앞",
    id: "wehudding0101",
    x: "127.053671559498",
    y: "37.5440862698625",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "장예지,박윤희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로18길 31(성수동2가)",
    address_more: "풍림테크원 307호",
    delivery_pos: "풍림테크원 307호 인터크루 문앞",
    id: "wehudding0102",
    x: "127.06061547118",
    y: "37.5419531271509",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "강창동",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 천호대로 296(용답동) 영보빌딩",
    address_more: "6층",
    delivery_pos: "문 앞/대응배송:1층출입구앞",
    id: "wehudding0103",
    x: "127.053138658366",
    y: "37.5660126480034",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박수빈",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 구의강변로 86 (구의동) 강변리치타워",
    address_more: "6층 604호",
    delivery_pos: "엘베 내리자마자 바로 보이는 문의 옆에 놓아주세요.",
    id: "wehudding0104",
    x: "127.094039760254",
    y: "37.5381146951572",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이수녕",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 동일로56가길 31(군자동)",
    address_more: "3층 광진구육아종합지원센터",
    delivery_pos: "빨간문 안",
    id: "wehudding0105",
    x: "127.072697524463",
    y: "37.5545735316763",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "황준태",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 능동로 433(중곡동)",
    address_more: "2층 사무실",
    delivery_pos: "2층 사무실",
    id: "wehudding0106",
    x: "127.08480243017",
    y: "37.5677792027828",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정유선",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 가람길 287(용답동) 서희스타힐스리버파크",
    address_more: "202호",
    delivery_pos: "문앞 ( 열쇠 버튼 > 1234 숫자 > 종버튼 으로 열림)",
    id: "wehudding0107",
    x: "127.069454279468",
    y: "37.5597364861226",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "고이솔",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 마장로27가길 12(마장동)",
    address_more: "시티하우스 405호",
    delivery_pos: "405호 문앞 (공동현관: #5003)",
    id: "wehudding0108",
    x: "127.035082194267",
    y: "37.5666320715652",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "유예랑",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 156 (옥수동, 한남하이츠아파트) 한남하이츠아파트",
    address_more: "7동 402호",
    delivery_pos: "열렸을 때 : 문앞/대응배송: 1층 출입문 닫혀있을 때 경비실 앞",
    id: "wehudding0109",
    x: "127.013812696365",
    y: "37.5395083271239",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김상은",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 천호대로 432(용답동) 금풍빌딩",
    address_more: "2층 임대차분쟁조정위원회",
    delivery_pos: "문앞",
    id: "wehudding0110",
    x: "127.066853634442",
    y: "37.5607509779782",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "윤태웅",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 뚝섬로13길 38 (성수동2가) 상상플래닛",
    address_more: "502호",
    delivery_pos: "1층 공용택배보관함",
    id: "wehudding0111",
    x: "127.058233405781",
    y: "37.5414102121902",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "장미",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 면목로 136-6 (중곡동)",
    address_more: "302호",
    delivery_pos: "문 앞 (현관비번 1234)",
    id: "wehudding0112",
    x: "127.081331489153",
    y: "37.5653644536686",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이예은",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 280(행당동, 서울숲삼부아파트)",
    address_more: "101동 1203호",
    delivery_pos: "문 앞 (현관 비밀번호: 열쇠+1234)",
    id: "wehudding0113",
    x: "127.038017800199",
    y: "37.5602047159985",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김지현",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로 127(성수동2가)",
    address_more: "8층 모먼트 디자인",
    delivery_pos: "문 앞",
    id: "wehudding0114",
    x: "127.057399142337",
    y: "37.5462900724686",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "우성희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 광나루로8길 22(성수동2가) 효성인쇄사",
    address_more: "3층",
    delivery_pos: "3층 사무실 문 앞",
    id: "wehudding0115",
    x: "127.064816350663",
    y: "37.5471388492515",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김성진",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로7길 15-1(성수동2가) 효정빌딩",
    address_more: "4층 416호",
    delivery_pos: "4층 엘레베이터옆.",
    id: "wehudding0116",
    x: "127.054474886314",
    y: "37.54646174652",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김명수",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로 229(화양동) 한림타워",
    address_more: "1층 원약국",
    delivery_pos: "103호 원약국",
    id: "wehudding0117",
    x: "127.068990676571",
    y: "37.540809126931",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이보아",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 125(성수동1가) kd타워",
    address_more: "",
    delivery_pos: "2층 페스트파이브 우편보관함",
    id: "wehudding0118",
    x: "127.043893352541",
    y: "37.5488383035453",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김성호",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 성수이로7길 7 (성수동2가) 한라시그마밸리2차",
    address_more: "903호",
    delivery_pos: "사무실 문 앞에",
    id: "wehudding0119",
    x: "127.054460766673",
    y: "37.5398076019937",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "가선아",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로 66(성수동2가)",
    address_more: "2층 셀러허브",
    delivery_pos: "문 앞",
    id: "wehudding0120",
    x: "127.051443908086",
    y: "37.5456470711181",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김보람",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로75길 26-1 (광장동)",
    address_more: "201호",
    delivery_pos: "#5388#",
    id: "wehudding0121",
    x: "127.103753924014",
    y: "37.5467110127115",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "안지수",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 연무장7가길 10-1 (성수동2가, 부영) 부영빌당",
    address_more: "401호",
    delivery_pos: "401호 앞 (1층비번 #6800#)",
    id: "wehudding0122",
    x: "127.055453092399",
    y: "37.5428670252425",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정영화",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 행당로9길 9(행당동)",
    address_more: "1층",
    delivery_pos: "민원실입구",
    id: "wehudding0123",
    x: "127.029349768821",
    y: "37.558221031055",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박민정,정예림",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 58 (성수동1가) 서울숲포휴",
    address_more: "1102호 리베르스쿨",
    delivery_pos: "사무실 문 앞",
    id: "wehudding0124",
    x: "127.045205280472",
    y: "37.5426958782317",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이수빈",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 성수이로10길 14(성수동2가) 에이스하이엔드성수타워",
    address_more: "14층",
    delivery_pos: "문 앞에 놔주세요",
    id: "wehudding0125",
    x: "127.056789858953",
    y: "37.5401307747523",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김명숙",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 375(응봉동, 신동아아파트) 신동아아파트",
    address_more: "101동 605호",
    delivery_pos: "문앞",
    id: "wehudding0126",
    x: "127.029000872671",
    y: "37.5495375702385",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김은지",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 191 (옥수동, 옥수동극동아파트) 옥수극동아파트",
    address_more: "8동 209호",
    delivery_pos: "문 앞(공동현관 열려있음)",
    id: "wehudding0127",
    x: "127.011984339203",
    y: "37.5445928680771",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최고은",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로13길 15(성수동2가)",
    address_more: "1층 경비실",
    delivery_pos: "정우비나  최고은 영업4부",
    id: "wehudding0128",
    x: "127.060923798153",
    y: "37.5448550874039",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "윤혜연",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로 358 (도선동)",
    address_more: "1층 (도선동) 상왕 전자담배",
    delivery_pos: "손잡이에 달린 검은가방에 배송후 잠궈주세요/비번017",
    id: "wehudding0129",
    x: "127.030549801606",
    y: "37.564069637092",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "서영란",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로78길 90 (광장동) 광진정보도서관",
    address_more: "",
    delivery_pos: "도서관동 4층 사무실 / 대응: 후문 신문함 위",
    id: "wehudding0130",
    x: "127.110615495296",
    y: "37.5510729137918",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이민희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수일로 55 (성수동1가) Sk테크노빌딩",
    address_more: "804호",
    delivery_pos: "804호 문앞",
    id: "wehudding0131",
    x: "127.049566601494",
    y: "37.5454662326471",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "노도연",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 마조로11길 15(행당동)",
    address_more: "201호",
    delivery_pos: "문 앞",
    id: "wehudding0132",
    x: "127.039753652448",
    y: "37.5616999790913",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "하채윤",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 둘레13길 11, (성수동2가)",
    address_more: "401호",
    delivery_pos: "401호",
    id: "wehudding0133",
    x: "127.052875507725",
    y: "37.5362375685105",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "권세희",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 왕십리로5길 3(성수동1가) 공공복합청사",
    address_more: "2층 주민센터",
    delivery_pos: "1층 무인발급기 옆 배너 뒤에 숨겨주세요",
    id: "wehudding0134",
    x: "127.044349655211",
    y: "37.5464025531618",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김태연",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 성수이로 66 (성수동2가) 서울숲드림타워",
    address_more: "102호 카페",
    delivery_pos: "카페 안에",
    id: "wehudding0135",
    x: "127.05613180378",
    y: "37.5406187104947",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "김시우",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 긴고랑로1길 79 (중곡동)",
    address_more: "208호",
    delivery_pos: "문앞 #0494#",
    id: "wehudding0136",
    x: "127.078925384054",
    y: "37.5674525225414",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "한민지",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 연무장5길 9-16(성수동2가) 블루스톤타워",
    address_more: "604호",
    delivery_pos: "604호 문 앞",
    id: "wehudding0137",
    x: "127.052659059956",
    y: "37.5444391065296",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "이재훈,김진우",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 아차산로 38(성수동1가) 스파크플러스 성수 2호점",
    address_more: "3층 302호",
    delivery_pos: "3층 입구 옆 택배함 위",
    id: "wehudding0138",
    x: "127.048397833508",
    y: "37.5465839562284",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박은지",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 아차산로23길 28(화양동)",
    address_more: "빌라주차장옆대로변붉은도어락은색대문",
    delivery_pos: "1234누르고안에넣어주세요",
    id: "wehudding0139",
    x: "127.066642879945",
    y: "37.5433266966409",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박미자",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 워커힐로 13 (광장동, 광장동서울아파트) 서울아파트",
    address_more: "가동103 호",
    delivery_pos: "문앞",
    id: "wehudding0140",
    x: "127.095963932416",
    y: "37.5438471983094",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "박지인",
    customer_phone: "01011111111",
    address_base: "서울 광진구 뚝섬로44길 6, (자양동)",
    address_more: "201호",
    delivery_pos: "201호 (공동현관: 6143#)",
    id: "wehudding0141",
    x: "127.076081066581",
    y: "37.5327866799552",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "한세진",
    customer_phone: "01011111111",
    address_base: "서울특별시 성동구 아차산로13길 33(성수동2가)",
    address_more: "6층 관세법인 조양",
    delivery_pos: "1층 입구 앞",
    id: "wehudding0142",
    x: "127.061612478688",
    y: "37.5462361417851",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "임선화",
    customer_phone: "01011111111",
    address_base: "서울특별시 광진구 광나루로37길 6(구의동)",
    address_more: "3층",
    delivery_pos: "문 앞",
    id: "wehudding0143",
    x: "127.08757284645",
    y: "37.5451853959312",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "최주리",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 강변역로 2(구의동) 광진우체국6층 비플라이소프트(우체국은행건물)",
    address_more: "",
    delivery_pos: "6층문앞",
    id: "wehudding0144",
    x: "127.089961052081",
    y: "37.5377539588105",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "정혜은",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 광진구 아차산로 345 (자양동, 래미안프리미어팰리스) 삼성래미안상가 ",
    address_more: "341호 하얀작업실",
    delivery_pos: "341호 앞",
    id: "wehudding0145",
    x: "127.08158295574",
    y: "37.5375052411306",
    region: "광진구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "손은성2",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 377(응봉동, 금호현대아파트) 현대아파트",
    address_more: "105동404호",
    delivery_pos: "문앞",
    id: "wehudding0146",
    x: "127.03115141409",
    y: "37.5505406446297",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "손은성3",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 377(응봉동, 금호현대아파트) 현대아파트",
    address_more: "105동504호",
    delivery_pos: "문앞",
    id: "wehudding0147",
    x: "127.03115141409",
    y: "37.5505406446297",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "손은성4",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 377(응봉동, 금호현대아파트) 현대아파트",
    address_more: "105동604호",
    delivery_pos: "문앞",
    id: "wehudding0148",
    x: "127.03115141409",
    y: "37.5505406446297",
    region: "성동구",
    pd: null,
    fixed: false,
  },
  {
    customer_name: "손은성1",
    customer_phone: "01011111111",
    address_base:
      "서울특별시 성동구 독서당로 377(응봉동, 금호현대아파트) 현대아파트",
    address_more: "105동304호",
    delivery_pos: "문앞",
    id: "wehudding0149",
    x: "127.03115141409",
    y: "37.5505406446297",
    region: "성동구",
    pd: null,
    fixed: false,
  },
];

export const available = [
  "강남구",
  "광진구",
  "구로구",
  "금천구",
  "동대문구",
  "동작구",
  "마포구",
  "서대문구",
  "서초구",
  "성동구",
  "송파구",
  "영등포구",
  "용산구",
  "종로구",
  "중구",
  "기타",
];

export interface Region {
  name: string;
  point: Point[];
}

const setDelivery = () => {
  let addressDB = [...address];
  const convertAddress = (addressDB: Direction[]): Region[] => {
    const newAddress: Region[] = available.map((el) => ({
      name: el,
      point: [],
    }));

    for (let i = 0; i < addressDB.length; i++) {
      const mapIdx = available.indexOf(addressDB[i].region);
      if (mapIdx === -1) {
        let selected: Point["selected"] = "free";
        if (addressDB[i].pd && addressDB[i].fixed) {
          selected = "fixed";
        } else if (addressDB[i].pd) {
          selected = "assigned";
        }
        newAddress[newAddress.length - 1].point.push({
          address_base: addressDB[i].address_base,
          x: addressDB[i].x,
          y: addressDB[i].y,
          list: [addressDB[i]],
          pd: addressDB[i].pd,
          selected,
        });
        continue;
      }
      const listIdx = newAddress[mapIdx].point.findIndex(
        (el) => el.x === addressDB[i].x && el.y === addressDB[i].y
      );
      if (listIdx === -1) {
        let selected: Point["selected"] = "free";
        if (addressDB[mapIdx].pd && addressDB[mapIdx].fixed) {
          selected = "fixed";
        } else if (addressDB[mapIdx].pd) {
          selected = "assigned";
        }
        newAddress[mapIdx].point.push({
          address_base: addressDB[i].address_base,
          x: addressDB[i].x,
          y: addressDB[i].y,
          list: [addressDB[i]],
          pd: addressDB[i].pd,
          selected,
        });
        continue;
      }
      newAddress[mapIdx].point[listIdx].list.push(address[i]);
    }
    return newAddress;
  };
  const getAddress = async (): Promise<Output> => {
    const newAddress = convertAddress(addressDB);
    const notAssigned = newAddress.map((available) => ({
      ...available,
      point: available.point.filter((delivery) => delivery.pd === null),
    }));
    return {
      status: 200,
      message: "OK",
      data: notAssigned,
    };
  };
  const setPd = async (
    regionId: string | string[],
    pd: { id: string; name: string }
  ): Promise<Output> => {
    if (!Array.isArray(regionId)) {
      addressDB = addressDB.map((el) =>
        el.id === regionId ? { ...el, pd } : el
      );
      return {
        status: 200,
        message: "OK",
        data: convertAddress(addressDB).map((available) => ({
          ...available,
          point: available.point.filter((delivery) => delivery.pd === null),
        })),
      };
    }
    for (let i = 0; i < regionId.length; i++) {
      addressDB = addressDB.map((el) =>
        el.id === regionId[i] ? { ...el, pd } : el
      );
    }

    return {
      status: 200,
      message: "OK",
      data: convertAddress(addressDB).map((available) => ({
        ...available,
        point: available.point.filter((delivery) => delivery.pd === null),
      })),
    };
  };
  const removePd = async (
    regionIdx: number,
    pointIdx: number,
    pdId: string
  ): Promise<Output> => {
    const newAddress = convertAddress(addressDB);
    if (newAddress[regionIdx].point[pointIdx].pd === null) {
      return {
        status: 400,
        message: "not assigned",
      };
    }
    if (newAddress[regionIdx].point[pointIdx].pd?.id !== pdId) {
      return {
        status: 400,
        message: "wrong pd id",
      };
    }
    newAddress[regionIdx].point[pointIdx].pd = null;
    return {
      status: 200,
      message: "OK",
    };
  };
  return { getAddress, setPd, removePd };
};

const addressApi = {
  ...setDelivery(),
};

export default addressApi;
